Update Template Test

Prev Next
Put
/api/v1/Authoring/projects/{projectId}/template-tests/{testId}

Update an existing template test

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
projectId
integer (int32) Required

Project containing the template test

testId
integer (int32) Required

Template test to update

Body parameters

Information about the template test

Expand All
OneOf
Configuration.Api.Models.v1.TemplateTestDetailV1
object (Configuration.Api.Models.v1.TemplateTestDetailV1)
testDataSet
object (Configuration.Api.Models.v1.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ]
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

configurationJson
string | null

The data set's configuration, written in JSON

controlDataSet
object (Configuration.Api.Models.v1.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ]
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

configurationJson
string | null

The data set's configuration, written in JSON

templateName
string | null

The test name

templateDescription
string | null

The test description

dataSourceId
integer (int32)

The data source to use for retrieving metadata during materialization

folderId
integer (int32)

Folder ID for test

testLevel
string
Valid values[ "Table", "Column" ]
testGenSource
string
Valid values[ "Metadata", "File", "Query" ]
childTestName
string | null

Template to use when generating child test names

childTestDescription
string | null

Template to use when generating child test descriptions

childFolderRelativePath
string | null

Relative folder path to generated child tests based on current location

childFolderAbsolutePath
string | null

Absolute folder path to generated child tests

childFolderLocationType
string
Valid values[ "Relative", "Absolute" ]
valueSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation", "FromMetadata" ]
valueSuccessTolerance
string | null

The template test's value success condition tolerance; enter "FromMetadata" if value will be set by metadata script or import file

overallSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation", "FromMetadata" ]
overallSuccessTolerance
string | null

The template test's overall success condition tolerance; enter "FromMetadata" if value will be set by metadata script or import file

resultsAreOrdered
string
Valid values[ false, true, "FromMetadata" ]
onlyKeepFailures
string
Valid values[ false, true, "FromMetadata" ]
abortAfterFailures
string
Valid values[ false, true, "FromMetadata" ]
abortFailureCount
string | null

Number of failures allowed before aborting an execution

abortAfterRows
string
Valid values[ false, true, "FromMetadata" ]
abortRowCount
string | null

Number of records allowed before aborting an execution

purgeResults
string
Valid values[ false, true, "FromMetadata" ]
purgeResultsAfterDays
string | null

Number of days to retain execution results before purging

transferLabels
boolean

Whether to transfer labels from the prior version

variables
Array of object (Configuration.Api.Models.v1.TemplateTestVariable) | null

List of the templte test's variables

object
referenceKey
string | null

The variable's reference key

type
string
Valid values[ "Schema", "Table", "Column", "Other", "Boolean", "Numeric" ]
defaultValue
string | null

The variable's default value

metadataFilters
Array of object (Configuration.Api.Models.v1.MetaObjectMetadataFilter) | null

List of the templte test's object filters

object
field
string
Valid values[ "SchemaName", "TableName", "TableType", "ColumnName", "ColumnDataType", "ColumnMappedType", "ColumnNullable", "ColumnIdentity", "ColumnPrimaryKey", "ColumnMaxLength", "TableRecordCount" ]
operator
string
Valid values[ "Equals", "NotEquals", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "RegularExpression", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual" ]
value
string | null

The object filter's value

customFilters
Array of object (Configuration.Api.Models.v1.MetaObjectCustomFilter) | null

List of the templte test's object filters

object
objectType
string
Valid values[ "Table", "Column", "Schema" ]
referenceKey
string | null
operator
string
Valid values[ "Equals", "NotEquals", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "RegularExpression", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual" ]
value
string | null

The object filter's value

templateTestImportFileId
integer (int32) | null

The template test's import file ID

metaObjectQuery
object (Configuration.Api.Models.v1.MetaObjectQuery)
dataSourceId
integer (int32) | null

The query's data source ID

script
string | null

The query's script

enableAddingFromCatalog
boolean

Whether to allow adding metadata objects to the template test from the catalog

severityLevel
string | null

The test severity level

qualityDimension
string | null

The test quality dimension

childCustomFieldValueJson
string | null

JSON string containing child custom field values

testMissingResultAction
string
Valid values[ "Fail", "Pass", "Override", "FromMetadata" ]
testMissingResultOverrideValue
string | null

The value to use for records missing from the test dataset

controlMissingResultAction
string
Valid values[ "Fail", "Pass", "Override", "FromMetadata" ]
controlMissingResultOverrideValue
string | null

The value to use for records missing from the control dataset

valueSuccessToleranceCalculation
string | null

The value success tolerance calculation of the test; enter "FromMetadata" if calculation will be set by metadata script or import file

overallSuccessToleranceCalculation
string | null

The overall success tolerance calculation of the test; enter "FromMetadata" if calculation will be set by metadata script or import file

metaObjectSetItems
Array of object (Configuration.Api.Models.v1.MetaObjectSetItem) | null

List of items in the template test's meta object set

object
schemaName
string | null

The schema name of the item

tableName
string | null

The table name of the item

columnName
string | null

The column name of the item

variableOverrides
Array of object (Configuration.Api.Models.v1.MetaObjectSetItemVariable) | null

List of variable overrides for the item

object
referenceKey
string | null

The reference key of the variable

variableValue
string | null

The value of the variable

metaSelectionType
string
Valid values[ "Filters", "SelectObjects" ]
Configuration.Api.Models.v1.TemplateTestDetailV2
object (Configuration.Api.Models.v1.TemplateTestDetailV2)
testDataSet

Defines the test dataset

OneOf
Configuration.Api.Models.v1.TemplateTestDataSetV2Script
object (Configuration.Api.Models.v1.TemplateTestDataSetV2Script)
dataSetConfigScript
object (Configuration.Api.Models.v1.TemplateDataSetConfigScript)
sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateTestDataSetV2ProfileResult
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ProfileResult)
dataSetConfigProfileResult
OneOf
Configuration.Api.Models.v1.TemplateDataSetConfigProfileResult
object (Configuration.Api.Models.v1.TemplateDataSetConfigProfileResult)
profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

Configuration.Api.Models.v1.TemplateDataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.TemplateDataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The size of the data set window; enter "FromMetadata" if definition will be from metadata script or import file

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateTestDataSetV2Macro
object (Configuration.Api.Models.v1.TemplateTestDataSetV2Macro)
dataSetConfigMacro
object (Configuration.Api.Models.v1.TemplateDataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

controlDataSet

Defines the control dataset

OneOf
Configuration.Api.Models.v1.TemplateControlDataSetV2Script
object (Configuration.Api.Models.v1.TemplateControlDataSetV2Script)
dataSetConfigScript
object (Configuration.Api.Models.v1.TemplateDataSetConfigScript)
sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2Macro
object (Configuration.Api.Models.v1.TemplateControlDataSetV2Macro)
dataSetConfigMacro
object (Configuration.Api.Models.v1.TemplateDataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2ProfileResult
object (Configuration.Api.Models.v1.TemplateControlDataSetV2ProfileResult)
dataSetConfigProfileResult
OneOf
Configuration.Api.Models.v1.TemplateDataSetConfigProfileResult
object (Configuration.Api.Models.v1.TemplateDataSetConfigProfileResult)
profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

Configuration.Api.Models.v1.TemplateDataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.TemplateDataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The size of the data set window; enter "FromMetadata" if definition will be from metadata script or import file

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2ProfileAggregate
object (Configuration.Api.Models.v1.TemplateControlDataSetV2ProfileAggregate)
dataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.TemplateDataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The size of the data set window; enter "FromMetadata" if definition will be from metadata script or import file

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2DateTimeValue
object (Configuration.Api.Models.v1.TemplateControlDataSetV2DateTimeValue)
dataSetConfigDateTimeValue
object (Configuration.Api.Models.v1.TemplateDataSetConfigDateTimeValue)
valueType
string
Valid values[ "Absolute", "Relative", "FromMetadata" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set; enter "FromMetadata" if value will be from metadata script or import file

relativeTargetPeriod
string
Valid values[ "CurrentDate", "FromMetadata" ]
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2StringValue
object (Configuration.Api.Models.v1.TemplateControlDataSetV2StringValue)
dataSetConfigStringValue
object (Configuration.Api.Models.v1.TemplateDataSetConfigStringValue)
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

ignoreWhitespace
boolean

Whethe the string comparison ignores whitespace characters

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2NumericValue
object (Configuration.Api.Models.v1.TemplateControlDataSetV2NumericValue)
dataSetConfigNumericValue
object (Configuration.Api.Models.v1.TemplateDataSetConfigNumericValue)
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2NumericRange
object (Configuration.Api.Models.v1.TemplateControlDataSetV2NumericRange)
dataSetConfigNumericRange
object (Configuration.Api.Models.v1.TemplateDataSetConfigNumericRange)
minValue
string | null

The minimum value of the numeric range; enter "FromMetadata" if value will be from metadata script or import file

maxValue
string | null

The maximum value of the numeric range; enter "FromMetadata" if value will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2DateTimeRange
object (Configuration.Api.Models.v1.TemplateControlDataSetV2DateTimeRange)
dataSetConfigDateTimeRange
object (Configuration.Api.Models.v1.TemplateDataSetConfigDateTimeRange)
rangeType
string
Valid values[ "Absolute", "Relative", "FromMetadata" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set; enter "FromMetadata" if value will be from metadata script or import file

minRelativePeriod
string | null

The minimum relative period of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxRelativePeriod
string | null

The maximum relative period of the data set; enter "FromMetadata" if value will be from metadata script or import file

minRelativeOffset
string | null

The minimum relative offset of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxRelativeOffset
string | null

The maximum relative offset of the data set; enter "FromMetadata" if value will be from metadata script or import file

minAbsoluteValue
string | null

The minimum absolute value of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxAbsoluteValue
string | null

The maximum absolute value of the data set; enter "FromMetadata" if value will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2TestAggregate
object (Configuration.Api.Models.v1.TemplateControlDataSetV2TestAggregate)
dataSetConfigTestAggregate
object (Configuration.Api.Models.v1.TemplateDataSetConfigTestAggregate)
includePriorVersions
boolean

Whether the dataset includes prior versions

windowSize
string | null

The window size of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

qualityScoreCalculation
string | null

Custom quality score calculation; enter "FromMetadata" if number will be set by metadata script or import file

qualityScoreMethod
string
Valid values[ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation", "FromMetadata" ]
columnMappingJson
string | null

JSON of custom column mapping between the test and control datasets

testDataSetColumnMappingMethod
string
Valid values[ "Automatic", "Manual" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetColumnSelection
string
Valid values[ "Name", "Position" ]
templateName
string | null

The test name

templateDescription
string | null

The test description

dataSourceId
integer (int32)

The data source to use for retrieving metadata during materialization

folderId
integer (int32)

Folder ID for test

testLevel
string
Valid values[ "Table", "Column" ]
testGenSource
string
Valid values[ "Metadata", "File", "Query" ]
childTestName
string | null

Template to use when generating child test names

childTestDescription
string | null

Template to use when generating child test descriptions

childFolderRelativePath
string | null

Relative folder path to generated child tests based on current location

childFolderAbsolutePath
string | null

Absolute folder path to generated child tests

childFolderLocationType
string
Valid values[ "Relative", "Absolute" ]
valueSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation", "FromMetadata" ]
valueSuccessTolerance
string | null

The template test's value success condition tolerance; enter "FromMetadata" if value will be set by metadata script or import file

overallSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation", "FromMetadata" ]
overallSuccessTolerance
string | null

The template test's overall success condition tolerance; enter "FromMetadata" if value will be set by metadata script or import file

resultsAreOrdered
string
Valid values[ false, true, "FromMetadata" ]
onlyKeepFailures
string
Valid values[ false, true, "FromMetadata" ]
abortAfterFailures
string
Valid values[ false, true, "FromMetadata" ]
abortFailureCount
string | null

Number of failures allowed before aborting an execution

abortAfterRows
string
Valid values[ false, true, "FromMetadata" ]
abortRowCount
string | null

Number of records allowed before aborting an execution

purgeResults
string
Valid values[ false, true, "FromMetadata" ]
purgeResultsAfterDays
string | null

Number of days to retain execution results before purging

transferLabels
boolean

Whether to transfer labels from the prior version

variables
Array of object (Configuration.Api.Models.v1.TemplateTestVariable) | null

List of the templte test's variables

object
referenceKey
string | null

The variable's reference key

type
string
Valid values[ "Schema", "Table", "Column", "Other", "Boolean", "Numeric" ]
defaultValue
string | null

The variable's default value

metadataFilters
Array of object (Configuration.Api.Models.v1.MetaObjectMetadataFilter) | null

List of the templte test's object filters

object
field
string
Valid values[ "SchemaName", "TableName", "TableType", "ColumnName", "ColumnDataType", "ColumnMappedType", "ColumnNullable", "ColumnIdentity", "ColumnPrimaryKey", "ColumnMaxLength", "TableRecordCount" ]
operator
string
Valid values[ "Equals", "NotEquals", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "RegularExpression", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual" ]
value
string | null

The object filter's value

customFilters
Array of object (Configuration.Api.Models.v1.MetaObjectCustomFilter) | null

List of the templte test's object filters

object
objectType
string
Valid values[ "Table", "Column", "Schema" ]
referenceKey
string | null
operator
string
Valid values[ "Equals", "NotEquals", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "RegularExpression", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual" ]
value
string | null

The object filter's value

templateTestImportFileId
integer (int32) | null

The template test's import file ID

metaObjectQuery
object (Configuration.Api.Models.v1.MetaObjectQuery)
dataSourceId
integer (int32) | null

The query's data source ID

script
string | null

The query's script

enableAddingFromCatalog
boolean

Whether to allow adding metadata objects to the template test from the catalog

severityLevel
string | null

The test severity level

qualityDimension
string | null

The test quality dimension

childCustomFieldValueJson
string | null

JSON string containing child custom field values

testMissingResultAction
string
Valid values[ "Fail", "Pass", "Override", "FromMetadata" ]
testMissingResultOverrideValue
string | null

The value to use for records missing from the test dataset

controlMissingResultAction
string
Valid values[ "Fail", "Pass", "Override", "FromMetadata" ]
controlMissingResultOverrideValue
string | null

The value to use for records missing from the control dataset

valueSuccessToleranceCalculation
string | null

The value success tolerance calculation of the test; enter "FromMetadata" if calculation will be set by metadata script or import file

overallSuccessToleranceCalculation
string | null

The overall success tolerance calculation of the test; enter "FromMetadata" if calculation will be set by metadata script or import file

metaObjectSetItems
Array of object (Configuration.Api.Models.v1.MetaObjectSetItem) | null

List of items in the template test's meta object set

object
schemaName
string | null

The schema name of the item

tableName
string | null

The table name of the item

columnName
string | null

The column name of the item

variableOverrides
Array of object (Configuration.Api.Models.v1.MetaObjectSetItemVariable) | null

List of variable overrides for the item

object
referenceKey
string | null

The reference key of the variable

variableValue
string | null

The value of the variable

metaSelectionType
string
Valid values[ "Filters", "SelectObjects" ]
Expand All
OneOf
Configuration.Api.Models.v1.TemplateTestDetailV1
object (Configuration.Api.Models.v1.TemplateTestDetailV1)
testDataSet
object (Configuration.Api.Models.v1.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ]
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

configurationJson
string | null

The data set's configuration, written in JSON

controlDataSet
object (Configuration.Api.Models.v1.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ]
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

configurationJson
string | null

The data set's configuration, written in JSON

templateName
string | null

The test name

templateDescription
string | null

The test description

dataSourceId
integer (int32)

The data source to use for retrieving metadata during materialization

folderId
integer (int32)

Folder ID for test

testLevel
string
Valid values[ "Table", "Column" ]
testGenSource
string
Valid values[ "Metadata", "File", "Query" ]
childTestName
string | null

Template to use when generating child test names

childTestDescription
string | null

Template to use when generating child test descriptions

childFolderRelativePath
string | null

Relative folder path to generated child tests based on current location

childFolderAbsolutePath
string | null

Absolute folder path to generated child tests

childFolderLocationType
string
Valid values[ "Relative", "Absolute" ]
valueSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation", "FromMetadata" ]
valueSuccessTolerance
string | null

The template test's value success condition tolerance; enter "FromMetadata" if value will be set by metadata script or import file

overallSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation", "FromMetadata" ]
overallSuccessTolerance
string | null

The template test's overall success condition tolerance; enter "FromMetadata" if value will be set by metadata script or import file

resultsAreOrdered
string
Valid values[ false, true, "FromMetadata" ]
onlyKeepFailures
string
Valid values[ false, true, "FromMetadata" ]
abortAfterFailures
string
Valid values[ false, true, "FromMetadata" ]
abortFailureCount
string | null

Number of failures allowed before aborting an execution

abortAfterRows
string
Valid values[ false, true, "FromMetadata" ]
abortRowCount
string | null

Number of records allowed before aborting an execution

purgeResults
string
Valid values[ false, true, "FromMetadata" ]
purgeResultsAfterDays
string | null

Number of days to retain execution results before purging

transferLabels
boolean

Whether to transfer labels from the prior version

variables
Array of object (Configuration.Api.Models.v1.TemplateTestVariable) | null

List of the templte test's variables

object
referenceKey
string | null

The variable's reference key

type
string
Valid values[ "Schema", "Table", "Column", "Other", "Boolean", "Numeric" ]
defaultValue
string | null

The variable's default value

metadataFilters
Array of object (Configuration.Api.Models.v1.MetaObjectMetadataFilter) | null

List of the templte test's object filters

object
field
string
Valid values[ "SchemaName", "TableName", "TableType", "ColumnName", "ColumnDataType", "ColumnMappedType", "ColumnNullable", "ColumnIdentity", "ColumnPrimaryKey", "ColumnMaxLength", "TableRecordCount" ]
operator
string
Valid values[ "Equals", "NotEquals", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "RegularExpression", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual" ]
value
string | null

The object filter's value

customFilters
Array of object (Configuration.Api.Models.v1.MetaObjectCustomFilter) | null

List of the templte test's object filters

object
objectType
string
Valid values[ "Table", "Column", "Schema" ]
referenceKey
string | null
operator
string
Valid values[ "Equals", "NotEquals", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "RegularExpression", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual" ]
value
string | null

The object filter's value

templateTestImportFileId
integer (int32) | null

The template test's import file ID

metaObjectQuery
object (Configuration.Api.Models.v1.MetaObjectQuery)
dataSourceId
integer (int32) | null

The query's data source ID

script
string | null

The query's script

enableAddingFromCatalog
boolean

Whether to allow adding metadata objects to the template test from the catalog

severityLevel
string | null

The test severity level

qualityDimension
string | null

The test quality dimension

childCustomFieldValueJson
string | null

JSON string containing child custom field values

testMissingResultAction
string
Valid values[ "Fail", "Pass", "Override", "FromMetadata" ]
testMissingResultOverrideValue
string | null

The value to use for records missing from the test dataset

controlMissingResultAction
string
Valid values[ "Fail", "Pass", "Override", "FromMetadata" ]
controlMissingResultOverrideValue
string | null

The value to use for records missing from the control dataset

valueSuccessToleranceCalculation
string | null

The value success tolerance calculation of the test; enter "FromMetadata" if calculation will be set by metadata script or import file

overallSuccessToleranceCalculation
string | null

The overall success tolerance calculation of the test; enter "FromMetadata" if calculation will be set by metadata script or import file

metaObjectSetItems
Array of object (Configuration.Api.Models.v1.MetaObjectSetItem) | null

List of items in the template test's meta object set

object
schemaName
string | null

The schema name of the item

tableName
string | null

The table name of the item

columnName
string | null

The column name of the item

variableOverrides
Array of object (Configuration.Api.Models.v1.MetaObjectSetItemVariable) | null

List of variable overrides for the item

object
referenceKey
string | null

The reference key of the variable

variableValue
string | null

The value of the variable

metaSelectionType
string
Valid values[ "Filters", "SelectObjects" ]
Configuration.Api.Models.v1.TemplateTestDetailV2
object (Configuration.Api.Models.v1.TemplateTestDetailV2)
testDataSet

Defines the test dataset

OneOf
Configuration.Api.Models.v1.TemplateTestDataSetV2Script
object (Configuration.Api.Models.v1.TemplateTestDataSetV2Script)
dataSetConfigScript
object (Configuration.Api.Models.v1.TemplateDataSetConfigScript)
sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateTestDataSetV2ProfileResult
object (Configuration.Api.Models.v1.TemplateTestDataSetV2ProfileResult)
dataSetConfigProfileResult
OneOf
Configuration.Api.Models.v1.TemplateDataSetConfigProfileResult
object (Configuration.Api.Models.v1.TemplateDataSetConfigProfileResult)
profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

Configuration.Api.Models.v1.TemplateDataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.TemplateDataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The size of the data set window; enter "FromMetadata" if definition will be from metadata script or import file

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateTestDataSetV2Macro
object (Configuration.Api.Models.v1.TemplateTestDataSetV2Macro)
dataSetConfigMacro
object (Configuration.Api.Models.v1.TemplateDataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

controlDataSet

Defines the control dataset

OneOf
Configuration.Api.Models.v1.TemplateControlDataSetV2Script
object (Configuration.Api.Models.v1.TemplateControlDataSetV2Script)
dataSetConfigScript
object (Configuration.Api.Models.v1.TemplateDataSetConfigScript)
sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2Macro
object (Configuration.Api.Models.v1.TemplateControlDataSetV2Macro)
dataSetConfigMacro
object (Configuration.Api.Models.v1.TemplateDataSetConfigMacro)
parameters
Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null

List of parameters used by the macro data set

object
parameterId
integer (int32)

ID of the parameter

parameterValue
string | null

Value of the parameter

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2ProfileResult
object (Configuration.Api.Models.v1.TemplateControlDataSetV2ProfileResult)
dataSetConfigProfileResult
OneOf
Configuration.Api.Models.v1.TemplateDataSetConfigProfileResult
object (Configuration.Api.Models.v1.TemplateDataSetConfigProfileResult)
profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

Configuration.Api.Models.v1.TemplateDataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.TemplateDataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The size of the data set window; enter "FromMetadata" if definition will be from metadata script or import file

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2ProfileAggregate
object (Configuration.Api.Models.v1.TemplateControlDataSetV2ProfileAggregate)
dataSetConfigProfileAggregate
object (Configuration.Api.Models.v1.TemplateDataSetConfigProfileAggregate)
aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
windowSize
string | null

The size of the data set window; enter "FromMetadata" if definition will be from metadata script or import file

profileDef
string | null

The Profile Definition of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2DateTimeValue
object (Configuration.Api.Models.v1.TemplateControlDataSetV2DateTimeValue)
dataSetConfigDateTimeValue
object (Configuration.Api.Models.v1.TemplateDataSetConfigDateTimeValue)
valueType
string
Valid values[ "Absolute", "Relative", "FromMetadata" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set; enter "FromMetadata" if value will be from metadata script or import file

relativeTargetPeriod
string
Valid values[ "CurrentDate", "FromMetadata" ]
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2StringValue
object (Configuration.Api.Models.v1.TemplateControlDataSetV2StringValue)
dataSetConfigStringValue
object (Configuration.Api.Models.v1.TemplateDataSetConfigStringValue)
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

ignoreWhitespace
boolean

Whethe the string comparison ignores whitespace characters

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2NumericValue
object (Configuration.Api.Models.v1.TemplateControlDataSetV2NumericValue)
dataSetConfigNumericValue
object (Configuration.Api.Models.v1.TemplateDataSetConfigNumericValue)
targetValue
string | null

The target value of the data set; enter "FromMetadata" if value will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2NumericRange
object (Configuration.Api.Models.v1.TemplateControlDataSetV2NumericRange)
dataSetConfigNumericRange
object (Configuration.Api.Models.v1.TemplateDataSetConfigNumericRange)
minValue
string | null

The minimum value of the numeric range; enter "FromMetadata" if value will be from metadata script or import file

maxValue
string | null

The maximum value of the numeric range; enter "FromMetadata" if value will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2DateTimeRange
object (Configuration.Api.Models.v1.TemplateControlDataSetV2DateTimeRange)
dataSetConfigDateTimeRange
object (Configuration.Api.Models.v1.TemplateDataSetConfigDateTimeRange)
rangeType
string
Valid values[ "Absolute", "Relative", "FromMetadata" ]
columnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
timeZoneKey
string | null

The time zone key of the data set; enter "FromMetadata" if value will be from metadata script or import file

minRelativePeriod
string | null

The minimum relative period of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxRelativePeriod
string | null

The maximum relative period of the data set; enter "FromMetadata" if value will be from metadata script or import file

minRelativeOffset
string | null

The minimum relative offset of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxRelativeOffset
string | null

The maximum relative offset of the data set; enter "FromMetadata" if value will be from metadata script or import file

minAbsoluteValue
string | null

The minimum absolute value of the data set; enter "FromMetadata" if value will be from metadata script or import file

maxAbsoluteValue
string | null

The maximum absolute value of the data set; enter "FromMetadata" if value will be from metadata script or import file

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

Configuration.Api.Models.v1.TemplateControlDataSetV2TestAggregate
object (Configuration.Api.Models.v1.TemplateControlDataSetV2TestAggregate)
dataSetConfigTestAggregate
object (Configuration.Api.Models.v1.TemplateDataSetConfigTestAggregate)
includePriorVersions
boolean

Whether the dataset includes prior versions

windowSize
string | null

The window size of the dataset; enter "FromMetadata" if definition will be from metadata script or import file

window
string
Valid values[ "Days", "Weeks", "Runs", "FromMetadata" ]
aggregate
string
Valid values[ "Average", "Minimum", "Maximum", "FromMetadata" ]
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
string
Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ]
macroReferenceKey
string | null

The data set's macro reference key

qualityScoreCalculation
string | null

Custom quality score calculation; enter "FromMetadata" if number will be set by metadata script or import file

qualityScoreMethod
string
Valid values[ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation", "FromMetadata" ]
columnMappingJson
string | null

JSON of custom column mapping between the test and control datasets

testDataSetColumnMappingMethod
string
Valid values[ "Automatic", "Manual" ]
testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
testDataSetColumnSelection
string
Valid values[ "Name", "Position" ]
templateName
string | null

The test name

templateDescription
string | null

The test description

dataSourceId
integer (int32)

The data source to use for retrieving metadata during materialization

folderId
integer (int32)

Folder ID for test

testLevel
string
Valid values[ "Table", "Column" ]
testGenSource
string
Valid values[ "Metadata", "File", "Query" ]
childTestName
string | null

Template to use when generating child test names

childTestDescription
string | null

Template to use when generating child test descriptions

childFolderRelativePath
string | null

Relative folder path to generated child tests based on current location

childFolderAbsolutePath
string | null

Absolute folder path to generated child tests

childFolderLocationType
string
Valid values[ "Relative", "Absolute" ]
valueSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation", "FromMetadata" ]
valueSuccessTolerance
string | null

The template test's value success condition tolerance; enter "FromMetadata" if value will be set by metadata script or import file

overallSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation", "FromMetadata" ]
overallSuccessTolerance
string | null

The template test's overall success condition tolerance; enter "FromMetadata" if value will be set by metadata script or import file

resultsAreOrdered
string
Valid values[ false, true, "FromMetadata" ]
onlyKeepFailures
string
Valid values[ false, true, "FromMetadata" ]
abortAfterFailures
string
Valid values[ false, true, "FromMetadata" ]
abortFailureCount
string | null

Number of failures allowed before aborting an execution

abortAfterRows
string
Valid values[ false, true, "FromMetadata" ]
abortRowCount
string | null

Number of records allowed before aborting an execution

purgeResults
string
Valid values[ false, true, "FromMetadata" ]
purgeResultsAfterDays
string | null

Number of days to retain execution results before purging

transferLabels
boolean

Whether to transfer labels from the prior version

variables
Array of object (Configuration.Api.Models.v1.TemplateTestVariable) | null

List of the templte test's variables

object
referenceKey
string | null

The variable's reference key

type
string
Valid values[ "Schema", "Table", "Column", "Other", "Boolean", "Numeric" ]
defaultValue
string | null

The variable's default value

metadataFilters
Array of object (Configuration.Api.Models.v1.MetaObjectMetadataFilter) | null

List of the templte test's object filters

object
field
string
Valid values[ "SchemaName", "TableName", "TableType", "ColumnName", "ColumnDataType", "ColumnMappedType", "ColumnNullable", "ColumnIdentity", "ColumnPrimaryKey", "ColumnMaxLength", "TableRecordCount" ]
operator
string
Valid values[ "Equals", "NotEquals", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "RegularExpression", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual" ]
value
string | null

The object filter's value

customFilters
Array of object (Configuration.Api.Models.v1.MetaObjectCustomFilter) | null

List of the templte test's object filters

object
objectType
string
Valid values[ "Table", "Column", "Schema" ]
referenceKey
string | null
operator
string
Valid values[ "Equals", "NotEquals", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "RegularExpression", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual" ]
value
string | null

The object filter's value

templateTestImportFileId
integer (int32) | null

The template test's import file ID

metaObjectQuery
object (Configuration.Api.Models.v1.MetaObjectQuery)
dataSourceId
integer (int32) | null

The query's data source ID

script
string | null

The query's script

enableAddingFromCatalog
boolean

Whether to allow adding metadata objects to the template test from the catalog

severityLevel
string | null

The test severity level

qualityDimension
string | null

The test quality dimension

childCustomFieldValueJson
string | null

JSON string containing child custom field values

testMissingResultAction
string
Valid values[ "Fail", "Pass", "Override", "FromMetadata" ]
testMissingResultOverrideValue
string | null

The value to use for records missing from the test dataset

controlMissingResultAction
string
Valid values[ "Fail", "Pass", "Override", "FromMetadata" ]
controlMissingResultOverrideValue
string | null

The value to use for records missing from the control dataset

valueSuccessToleranceCalculation
string | null

The value success tolerance calculation of the test; enter "FromMetadata" if calculation will be set by metadata script or import file

overallSuccessToleranceCalculation
string | null

The overall success tolerance calculation of the test; enter "FromMetadata" if calculation will be set by metadata script or import file

metaObjectSetItems
Array of object (Configuration.Api.Models.v1.MetaObjectSetItem) | null

List of items in the template test's meta object set

object
schemaName
string | null

The schema name of the item

tableName
string | null

The table name of the item

columnName
string | null

The column name of the item

variableOverrides
Array of object (Configuration.Api.Models.v1.MetaObjectSetItemVariable) | null

List of variable overrides for the item

object
referenceKey
string | null

The reference key of the variable

variableValue
string | null

The value of the variable

metaSelectionType
string
Valid values[ "Filters", "SelectObjects" ]
Expand All
OneOf
Configuration.Api.Models.v1.TemplateTestDetailV1
object (Configuration.Api.Models.v1.TemplateTestDetailV1)
testDataSet
object (Configuration.Api.Models.v1.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ]
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

configurationJson
string | null

The data set's configuration, written in JSON

controlDataSet
object (Configuration.Api.Models.v1.TemplateTestDataSetV1) Required
testDataSetType
string
Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ]
dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

configurationJson
string | null

The data set's configuration, written in JSON

templateName
string | null

The test name

templateDescription
string | null

The test description

dataSourceId
integer (int32)

The data source to use for retrieving metadata during materialization

folderId
integer (int32)

Folder ID for test

testLevel
string
Valid values[ "Table", "Column" ]
testGenSource
string
Valid values[ "Metadata", "File", "Query" ]
childTestName
string | null

Template to use when generating child test names

childTestDescription
string | null

Template to use when generating child test descriptions

childFolderRelativePath
string | null

Relative folder path to generated child tests based on current location

childFolderAbsolutePath
string | null

Absolute folder path to generated child tests

childFolderLocationType
string
Valid values[ "Relative", "Absolute" ]
valueSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation", "FromMetadata" ]
valueSuccessTolerance
string | null

The template test's value success condition tolerance; enter "FromMetadata" if value will be set by metadata script or import file

overallSuccessConditionType
string
Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation", "FromMetadata" ]
overallSuccessTolerance
string | null

The template test's overall success condition tolerance; enter "FromMetadata" if value will be set by metadata script or import file

resultsAreOrdered
string
Valid values[ false, true, "FromMetadata" ]
onlyKeepFailures
string
Valid values[ false, true, "FromMetadata" ]
abortAfterFailures
string
Valid values[ false, true, "FromMetadata" ]
abortFailureCount
string | null

Number of failures allowed before aborting an execution

abortAfterRows
string
Valid values[ false, true, "FromMetadata" ]
abortRowCount
string | null

Number of records allowed before aborting an execution

purgeResults
string
Valid values[ false, true, "FromMetadata" ]
purgeResultsAfterDays
string | null

Number of days to retain execution results before purging

transferLabels
boolean

Whether to transfer labels from the prior version

variables
Array of object (Configuration.Api.Models.v1.TemplateTestVariable) | null

List of the templte test's variables

object
referenceKey
string | null

The variable's reference key

type
string
Valid values[ "Schema", "Table", "Column", "Other", "Boolean", "Numeric" ]
defaultValue
string | null

The variable's default value

metadataFilters
Array of object (Configuration.Api.Models.v1.MetaObjectMetadataFilter) | null

List of the templte test's object filters

object
field
string
Valid values[ "SchemaName", "TableName", "TableType", "ColumnName", "ColumnDataType", "ColumnMappedType", "ColumnNullable", "ColumnIdentity", "ColumnPrimaryKey", "ColumnMaxLength", "TableRecordCount" ]
operator
string
Valid values[ "Equals", "NotEquals", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "RegularExpression", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual" ]
value
string | null

The object filter's value

customFilters
Array of object (Configuration.Api.Models.v1.MetaObjectCustomFilter) | null

List of the templte test's object filters

object
objectType
string
Valid values[ "Table", "Column", "Schema" ]
referenceKey
string | null
operator
string
Valid values[ "Equals", "NotEquals", "Contains", "DoesNotContain", "StartsWith", "DoesNotStartWith", "EndsWith", "DoesNotEndWith", "RegularExpression", "LessThan", "GreaterThan", "LessThanOrEqual", "GreaterThanOrEqual" ]
value
string | null

The object filter's value

templateTestImportFileId
integer (int32) | null

The template test's import file ID

metaObjectQuery
object (Configuration.Api.Models.v1.MetaObjectQuery)
dataSourceId
integer (int32) | null

The query's data source ID

script
string | null

The query's script

enableAddingFromCatalog
boolean

Whether to allow adding metadata objects to the template test from the catalog

severityLevel
string | null

The test severity level

qualityDimension
string | null

The test quality dimension

childCustomFieldValueJson
string | null

JSON string containing child custom field values

testMissingResultAction
string
Valid values[ "Fail", "Pass", "Override", "FromMetadata" ]
testMissingResultOverrideValue
string | null

The value to use for records missing from the test dataset

controlMissingResultAction
string
Valid values[ "Fail", "Pass", "Override", "FromMetadata" ]
controlMissingResultOverrideValue
string | null

The value to use for records missing from the control dataset

valueSuccessToleranceCalculation
string | null

The value success tolerance calculation of the test; enter "FromMetadata" if calculation will be set by metadata script or import file

overallSuccessToleranceCalculation
string | null

The overall success tolerance calculation of the test; enter "FromMetadata" if calculation will be set by metadata script or import file

metaObjectSetItems
Array of object (Configuration.Api.Models.v1.MetaObjectSetItem) | null

List of items in the template test's meta object set

object
schemaName
string | null

The schema name of the item

tableName
string | null

The table name of the item

columnName
string | null

The column name of the item

variableOverrides
Array of object (Configuration.Api.Models.v1.MetaObjectSetItemVariable) | null

List of variable overrides for the item

object
referenceKey
string | null

The reference key of the variable

variableValue
string | null

The value of the variable

metaSelectionType
string
Valid values[ "Filters", "SelectObjects" ]
Configuration.Api.Models.v1.TemplateTestDetailV2
object (Configuration.Api.Models.v1.TemplateTestDetailV2)
testDataSet

Defines the test dataset

OneOf
Configuration.Api.Models.v1.TemplateTestDataSetV2Script
object (Configuration.Api.Models.v1.TemplateTestDataSetV2Script)
dataSetConfigScript
object (Configuration.Api.Models.v1.TemplateDataSetConfigScript)
sql
string | null

The SQL script of the dataset

dataSetProcessingType
string
Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ]
columnAggregate
string
Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ]
aggregationColumnKey
string | null

The data set's aggregation column key

dataSource
string | null

The data set's data source; enter "FromMetadata" if data source will be from metadata script or import file (control data set only)

metaLinks
Array of object (Configuration.Api.Models.v1.TemplateDataSetMetaLink) | null

The data set's meta links

object
key
string | null

Key of the meta link

includeForCoverage
boolean

Whether to include the metalink in trust score coverage

testDataSetColumnType
string
Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ]
columns
Array of object (Configuration.Api.Models.v1.TemplateDataSetColumn) | null

The data set's columns

object
name
string | null

Name of the data set column

sequence
integer (int32) | null

Sequence of the data set column

type
string | null

Type of the data set column

role
string | null

Role of the data set column

columnJson
string | null

The data set's column JSON

testDataSetTypeCategory
string
Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ]
columnSource
string
Valid values[ "FixedConfiguration", "DynamicTemplateConfiguration" ]
isScalar
boolean

Whether the data set is scalar

testComparisonType
[...]
